#include <iostream>
#include <cstddef>
#include <string>
#include <tuple>
#include <float.h>
#include <vector>
#include <algorithm>
#include <deque>
#include <unordered_map>
#include <unordered_set>
#include <queue>
#include <random>
#include <math.h>
#include <iomanip>

#define  ll long long

using namespace std;
mt19937 tw(960172);
ll rnd(ll x, ll y) {
    static uniform_int_distribution<ll> d;
    return d(tw) % (y - x + 1) + x;
}

bool comp(const string& s1, const string& s2) {
    if (s1.length() != s2.length()) {return s1.length() < s2.length();}
    return s1 < s2;
}


signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    string s;
    cin >> s;
    vector<string> vals = vector<string>();
    vector<int> ops = vector<int>();
    string cur = "";
//    bool f = false;

    ops.push_back(1);

    for (char i : s) {
        if (i == '+') {
            if (!cur.empty())
                vals.push_back(cur);
            ops.push_back(1);
            cur = "";
        }
        else if (i == '-') {
            if (!cur.empty())
                vals.push_back(cur);
            ops.push_back(-1);
            cur = "";
        } else {
            cur += i;
        }
    }
    if (!cur.empty())
        vals.push_back(cur);

    ll res = 0;
    for (int i = 0; i<ops.size();i++) {
        res += ops[i] * stoll(vals[i]);
    }

    bool ff = true;
    ll delta = 0l;
    ll cur_max = 0;


    for (int i = 1; i<ops.size(); i++) {
        if (ops[i-1] == 1) {
            ll cd = -stoll(vals[i-1]) - ops[i] * stoll(vals[i]) + stoll(vals[i-1]+vals[i]);
            if (cd > delta || ff) {
                cur_max = res + cd;
                delta = cd;
                ff = false;
            }
        }
    }

//    if (f && ops[0] == -1) {
//        ll cd = 2 * stoll(vals[0]);
//        if (cd > delta || ff) {
//            cur_max = res + cd;
//            delta = cd;
//            ff = false;
//        }
//    }

    if (ops.size() == 1) {

        for (int i = 0;i<vals[0].length(); i++) {
            string rm = vals[0].substr(0, i) + vals[0].substr(i+1);
            ll cr = stoll(rm);
            if (cr > cur_max || ff) {
                cur_max = cr;
                ff = false;
            }
        }
//        int c = 0;
//        string rm = "";
//        while (c<vals[0].length() - 1) {
//            if (vals[0][c] > vals[0][c+1]) {
//                rm += vals[0][c];
//                c++;
//            } else {
//                break;
//            }
//        }
//        for (int i = c+1; i<vals[0].length(); i++) {
//            rm += vals[0][i];
//        }
//        cur_max = stoll(rm);
    }


    cout << cur_max;
    return 0;
}