// Generator created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include "testlib.h"
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;

using namespace __gnu_pbds;
template <typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename K, typename V> using ordered_map = tree<K, V, less<K>, rb_tree_tag, tree_order_statistics_node_update>;

int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;


int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);

	int n = opt<int>(1);
	int maxv = opt<int>(2);
	int w = opt<int>(3);

	vector<int> outp(n);

	function<void(int, int, int)> rec = [&](int l, int r, int val) {
		if (l + 1 == r) {
			outp[l] = val;
			return;
		}

		int mid = rnd.wnext(r - l - 1, w) + 1 + l;
		rec(l, mid, val - 1);
		rec(mid, r, val - 1);
	};

	rec(0, n, 0);
	int minv = *min_element(outp.begin(), outp.end());
	int add = rnd.next(-minv + 1, max(-minv + 1, maxv));

	for (int& num : outp) {
		num += add;
		if (num > maxv) {
			num %= maxv;
			if (num == 0) {
				num = maxv;
			}
		}
	}

	cout << n << "\n";
	for (int i = 0; i < n; ++i) {
		cout << outp[i];
		if (i < n - 1) {
			cout << " ";
		}
	}
	cout << "\n";

	return 0;
}